
%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/jboss/web/%{version}.%{reltag}-brew
%define repodirlib %{repodir}/lib
%define repodirres %{repodir}/resources
%define repodirsrc %{repodir}/src

%define reltag  GA_CP05

Name:           jbossweb
Version:        2.0.0
Release:        3.CP05.0jpp.ep1.1%{?dist}
Summary:        JBoss Web Server based on Apache Tomcat

Group:          Networking/Daemons
License:        LGPL
URL:            http://labs.jboss.com/jbossweb/
# svn export http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_2_0_0_GA_CP05/ ;
# tar -zcf JBOSSWEB_2_0_0_GA_CP05.tar.gz JBOSSWEB_2_0_0_GA_CP05
Source0:        JBOSSWEB_2_0_0_GA_CP05.tar.gz
Source1:	jbossweb-component-info.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Patch0:         jbossweb-versionless-jbossas-dep.patch

BuildRequires:  ant
BuildRequires:  ant-trax
BuildRequires:  jakarta-commons-logging >= 0:1.0.4
# FIXME: Using binary in source tree
#BuildRequires:  eclipse-jdt >= 0:3.1.2
BuildRequires:  jbossas >= 0:4.2.0
BuildRequires:  java-devel >= 1.5.0
BuildRequires:  jpackage-utils >= 0:1.6.0

Requires:       jbossas
Requires:       jakarta-commons-logging >= 0:1.0.4
# FIXME: Using binary in source tree
#Requires:       eclipse-ecj >= 0:3.1.2
Requires:	jpackage-utils >= 0:1.6.0

%description
JBoss Web Server is an enterprise ready web server designed for medium
and large applications, based on the Apache Tomcat. It is meant to be
used as a replacement for the standard Web servers on all major
platforms. JBoss Web Server provides organizations with a single
deployment platform for Java Server Pages (JSP) and Java Servlet
technologies, Microsoft .NET, PHP, and CGI. It uses a genuine high
performance hybrid technology that incorporates the best of the most
recent OS technologies for processing high volume data, while keeping
all the reference Java specifications. It supports both in and out of
the process execution of CGI and PHP scripts, aas well as .NET
applications. The hybrid technology model offers the best from
threading and event processing models, and that makes the JBoss Web
Server one of the fastest and most scalable web servers in the market.

%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep
%setup -q -n JBOSSWEB_2_0_0_GA_CP05
# Clean up jars
# Leave jasper-jdt.jar since we dont know exactly what version it is
find . -type f -name *.jar -a -not -name jasper-jdt.jar -exec rm -f '{}' \;

( cd lib && build-jar-repository -s -p . commons-logging )
mkdir -p jboss/jboss-eap
ln -s /var/lib/jbossas jboss/jboss-eap/jboss-as

%patch0

sed -i 's/@VERSION@/%{version}.%{reltag}-brew/g' %{SOURCE1}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
ant


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

pushd output/jars >& /dev/null ; 
for i in *.jar ; do
    install -m 644 $i $RPM_BUILD_ROOT%{_javadir}/%{name}/${i/\.jar/}-%{version}.jar ;
done

pushd $RPM_BUILD_ROOT%{_javadir}/%{name} >& /dev/null && \
for jar in *-%{version}*; do \
    ln -sf ${jar} ${jar/-%{version}/}; \
done	 
popd >& /dev/null

install -m 644 ../../lib/jasper-jdt.jar $RPM_BUILD_ROOT%{_javadir}/%{name}

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        cp jbossweb-src.zip $RPM_BUILD_ROOT%{repodirlib}
        cp ../../lib/jasper-jdt.jar $RPM_BUILD_ROOT%{repodirlib}/jasper-jdt.jar
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossweb.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossweb-extras.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/jsp-api.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/servlet-api.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/el-api.jar $RPM_BUILD_ROOT%{repodirlib}
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc output/README.txt
%{_javadir}/%{name}/*.jar



%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Tue Dec 11 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP05.0jpp.ep1.1
- Upgrade to CP05

* Wed Nov 28 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP04.0jpp.ep1.2
- Refresh source tar ball for proper release print on startup

* Tue Nov 13 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP04.0jpp.ep1.1
- Upgrade to CP04

* Tue Nov 13 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP03.0jpp.ep1.1
- Upgrade to CP03

* Mon Nov 05 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP02.0jpp.ep1.3
- Upgrade to final CP02

* Mon Sep 24 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP02.0jpp.ep1.1
  From Remy Maucherat <rmaucher@redhat.com>:
- Patch for JBWEB-85 (JBCTS-624)

* Thu Aug 30 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-2.CP01.0jpp.ep1.4
- Move files to subdir of javadir
- Install jasper-jdt as well, needed by jbossas

* Thu Aug 30 2007 Vivek Lakshmanan <vivekl@redhat.com> - 2.0.0-2.CP01.0jpp.ep1.1
- Import CP01
- Use binary jasper-jdt.jar for now

* Wed Aug 29 2007 Vivek Lakshmanan <vivekl@redhat.com> - 2.0.0-1jpp.ep1.2
- Add repolib support

* Thu Aug 16 2007 Vivek Lakshmanan <vivekl@redhat.com> - 2.0.0-1jpp.ep1.1
- First build

